Subject: bug#66896: closed (Re: [PATCH v3 2/5] gnu: qd: Update to 2.3.24.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 19 Nov 2023 02:02:02 +0000

Your bug report

#66896: [PATCH 0/5] elemental: Update to 0.87.7-0.6eb15a0, fix build.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66896: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66896
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH v3 2/5] gnu: qd: Update to 2.3.24.
From: Eric Bavier <[email-masked]>
To: Sharlatan Hellseher <[email-masked]>, [email-masked]
Date: Sun, 19 Nov 2023 02:01:03 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Thank you for your follow-through on this patch.

I've pushed this series in commits 1f4fb3f47c..d335e2492

`~Eric

On Sun, 2023-11-05 at 14:56 +0000, Sharlatan Hellseher wrote:
> During attempt to upgrade python-spherical-geometry there was upstream
> discussion to adjust qd.  The patch was proposed and accepted by the
> author of qd it was suggested by one one of spherical_geometry
> maintainer:
> https://github.com/spacetelescope/spherical_geometry/issues/227
> 

Subject: [PATCH 0/5] elemental: Update to 0.87.7-0.6eb15a0, fix build.
From: Sharlatan Hellseher <[email-masked]>
To: [email-masked]
Cc: Sharlatan Hellseher <[email-masked]>
Date: Thu, 2 Nov 2023 15:36:27 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix!

During update process of python-spherical-geometry I faced with failing build
due to issue with qd package, see
https://github.com/spacetelescope/spherical_geometry/issues/227 for more
detail.

I've prepared patch for qd based on the proposed in discussion, also there is
dependent package - elemental, which failed for a long time and fixed with
update to the latest commit.

This patch series include updates of qd and elemental packages and fixing
their styles.

Sharlatan Hellseher (5):
  gnu: qd: Use G-expressions.
  gnu: qd: Apply patch to fix accuracy in angle computation.
  gnu: elemental: Update to 0.87.7-0.6eb15a0.
  gnu: elemental: Remove input labels.
  gnu: elemental: Update package style.

 gnu/local.mk                                  |   1 +
 gnu/packages/maths.scm                        | 109 ++++----
 gnu/packages/multiprecision.scm               |  28 +-
 ...qd-fix-accuracy-in-angle-computation.patch | 258 ++++++++++++++++++
 4 files changed, 331 insertions(+), 65 deletions(-)
 create mode 100644 gnu/packages/patches/qd-fix-accuracy-in-angle-computation.patch

base-commit: 0647f308b46b7ba7aa136068712f8d82d69d1a35
-- 
2.41.0